<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="webthemez">
    <title>SecureX</title>
	<!-- core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/animate.min.css" rel="stylesheet"> 
    <link href="css/prettyPhoto.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet"> 
    <!--[if lt IE 9]>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->       
    <link rel="shortcut icon" href="images/ico/favicon.ico"> 
</head> 

<body id="home">
    <header id="header">
        <nav id="main-nav" class="navbar navbar-default navbar-fixed-top" role="banner">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="index.html"><img src="images/BLueWatCh-logos.png" alt="logo"></a>
                </div>
				
                <div class="collapse navbar-collapse navbar-right">
                    <ul class="nav navbar-nav">
                        <li class="scroll active"><a href="#home">Home</a></li>  
                        

<li class="nav-item dropdown">

              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                Project Scope

              </a>

              <div class="dropdown-menu" aria-labelledby="navbarDropdown">

                <a class="dropdown-item" href="#project-scope">Literature Survey</a>

                <a class="dropdown-item" href="#research_gap">Research Gap</a>

                <a class="dropdown-item" href="#research_problem">Research Problem & Solution</a>

                <a class="dropdown-item" href="#research_objectives">Research Objectives</a>

                <a class="dropdown-item" href="#methodology">Methodology</a>

                <a class="dropdown-item" href="#tech_used">Technologies</a>

              </div>

            </li>				
                        <li class="scroll"><a href="#milestones">Milestones</a></li>
                        

<li class="nav-item dropdown">

                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                  Downloads

                </a>

                <div class="dropdown-menu" aria-labelledby="navbarDropdown">

                  <a class="dropdown-item" href="#downloads">Documents</a>

                  <a class="dropdown-item" href="#presentations">Presentations</a>

                </div>

            </li>
                        <li class="scroll"><a href="#portfolio">Gallery</a></li>
                        <li class="scroll"><a href="#our-team">About Us</a></li>
						<li class="scroll"><a href="#achievements">Achievements</a></li>
                        <li class="scroll"><a href="#contact-us">Contact Us</a></li>                        
                    </ul>
                </div>
            </div><!--/.container-->
        </nav><!--/nav-->
    </header><!--/header-->

    <section id="hero-banner">
             <div class="banner-inner">
                    <div class="container">
                        <div class="row">
                            <div class="col-sm-12">
                                 
                                    <center><h2>SecureX</h2></center>
                                    <h2 style="text-align: center;">SecureX</h2>
                                    <p>Network Infrastructure Management Tool <br/>with python and Machine Learning </p>
                                    <a class="btn btn-primary btn-lg" href="#project-scope">Learn More</a>
                                
                            </div>
                        </div>
                    </div>
                </div>
    </section><!--/#main-slider-->

 <section id="services" >
        <div class="container">

            <div class="section-header">
                <h2 class="section-title wow fadeInDown">Project Scope</h2>
                <p class="wow fadeInDown">This is the component of project implementation that helps determine goals, constraints, workflow management strategies, tasks, and deliverables.</p>
            </div>

            <section id="project-scope" class="main-sections" style="background-color:#FDFEFE">
                <div class="container">
                    
                    <!-- Literature Survey -->
                    <div id="literature" class="sub-section">
                        <h2>Literature Survey</h2>
                        <div class="row">
                          <div id="project-scope-left" class="col-md-6 col-sm-12 pt-lg-5">
                            <div class="section-left">
                              <div class="section-info-div">
                                
                              </div>
                              <!-- <div class="section-figure " > -->
                                <!-- <img style="align-items:center" src="./images/savewater.PNG" width="80%"/> -->
                                <br><br><br><br>
                                <img style="align-items:center" src="./images/water.png" width="80%" height="10%"/>
                              <!-- </div> -->
                            </div>
                          </div>
                          <div id="project-scope-right" class="col-md-6 col-sm-12 pt-lg-5 justify-text">
                            <p>Microorganism identification in water bodies is critical for assessing water quality and potential threats to human and environmental health. Several studies have focused on exploiting microscopic pictures and image processing techniques to identify microorganisms.
                             </p>
                           <p>[1]Used automated image analysis
                            techniques to classify and quantify microorganisms in
                            water samples, for example. They proved the power of
                            image processing in recognizing and distinguishing
                            different types of microorganisms, providing vital
                            insights on microbial ecology and water quality.
                            The classification of tuberculosis bacteria will examine
                            the degree of classification accuracy using two different
                            classification approaches. Using digital preparation
                            photographs, tuberculosis bacteria are classified using
                            k- nearest neighbor and backpropagation methods.
                            Single tuberculosis bacterium and multiple tuberculosis
                            bacteria are the two categories of bacteria used in this
                            method [3].  </p>
                            <p>Using computer vision and machine learning
                                techniques, the classification of bacteria is being
                                computerized. In this classification, researchers have
                                looked into a method for reprogramming "Inception,"
                                one of the best open-source neural network models, to
                                classify microscopic pictures of bacteria. To
                                comprehend the distinct structure of each bacterium
                                and how it forms colonies, the network gathered
                                hundreds of features from the images for edge-
                                detection and pattern recognition. Using a dataset of
                                500 microscopic photos of bacteria, researchers were
                                able to retrain the neural network on 400 of the images
                                and test its prediction accuracy on the remaining 250.
                                Researchers ultimately discovered the ideal values of
                                the parameters to obtain the prediction accuracy of
                                almost 95% after executing numerous processes of
                                preprocessing image data, tweaking the neural
                                network, and testing its several fine-tuned versions [4].</p>
                            <div class="references">
                                <br>
                              <p class="pt-sm-1"><strong>References</strong></p>
                              <ol>
                                <li>C, Geoffrey, B. Patrick, T, Prasad, J. Thomas and B. Marvin, "Estimating chlorophyll
                                    concentration in Lake Malawi from MODIS satellite imagery." Physics and Chemistry of the
                                    Earth, 2009
                                <li> R. B. Johansen, N. Richard, N. Jakub, X. Chris, S. Min, Y. Song, L Bo and E. Hongeng
                                    Emery. "Evaluating the portability of satellite derived chlorophyll-a algorithms for temperate
                                    inland lakes using airbome hyperspectral imagery and dense surface observations," Harmful
                                    Algae, vol. 76, 2018</li>
                                <li> S. Liyanage, G. M B. S. Gajanayake, O. D. Wijewickrama, S. D. S. A Femando, D. R
                                    Wijendra and A. I. Gamage, "System to Improve the Quality of Water Resources in Sri Lanka
                                    Using Machine Leaming and Image Processing." 4th International Conference on
                                    Advancements in Compuing (ICAC 2022), 2022</li>
                              </ol>
                            </div>
                          </div>
                        </div>
                    </div>
                    <!-- Research Gap -->
                    <div id="research_gap" class="sub-section" >
                      <h2>Research Gap</h2>
                      <p>Following areas are the research gaps found in most of the recent researches.</p>
                      <div class="row mt-5 research-gap">
                    <div class="container">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="fa-container text-center">
                                
                            </div>
                            <div class="text-center" style="padding-top: 20px;">
                                <h5>Application of Advanced Analytical Techniques </h5>
                            </div>
                            <div>
                                <p style="text-align: justify ; font-family: 'Raleway', sans-serif; font-size: 12px;"> The research largely relies on traditional methods, such as culture techniques and manual counting, missing opportunities to leverage advanced analytical techniques, like modern technology and machine learning, for more accurate and cost-effective water quality assessment</p>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="fa-container text-center">
                               
                            </div>
                            <div class="text-center" style="padding-top: 20px;">
                                <h5>Microorganisms Identification and Classification</h5>
                            </div>
                            <div>
                                <p style="text-align: justify;font-family: 'Raleway', sans-serif; font-size: 12px;">While some research has automated microorganism counting, it has not addressed the crucial aspects of identifying and categorizing these microorganisms, creating a research gap in these areas for a more comprehensive understanding of water quality
                                </p>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="fa-container text-center">
                               
                            </div>
                            <div class="text-center" style="padding-top: 20px;">
                                <h5>Cost-effective Solution</h5>
                            </div>
                            <div>
                                <p style="text-align: justify;font-family: 'Raleway', sans-serif; font-size: 12px;">Certain research projects have proposed innovative methods but raised concerns about their potentially high costs, necessitating further research into developing economically viable solutions for water quality assessment to ensure practical application in diverse settings
                                </p>
                            </div>
                        </div>
        
                    </div>
                    </div> 
                      </div>
                  </div>
                    <!-- Research Problem -->
                    <div id="research_problem" class="sub-section">
                      <h2>Research Problem & Solution</h2>
                       <div class="row">
                        <div id="project-scope-left" class= "justify-text">
                         <h5 style="color: #F9690E"><strong>Proposed Problem</strong></h5>
                         </br>
                           
                            <p></p>
                            <p style="text-align: justify; font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">The research problem at hand originates from the limitations of conventional techniques for identifying microorganisms in water, which are often confined to specific species and rely on labor-intensive manual or outdated automated methods. This deficiency hinders a comprehensive understanding of the diverse array of microorganisms inhabiting water ecosystems, which is essential for assessing water quality and ecological health. To address this shortfall, the research aims to pioneer the utilization of advanced microscopic imaging technology, enabling the examination of a wide range of microorganisms with efficiency and precision. However, a novel challenge arises – the need to make this advanced technology accessible and user-friendly. The proposed web-based application is envisioned as a solution that simplifies the identification process, broadening access to researchers, educators, and enthusiasts, thus facilitating their active participation in the study of waterborne microorganisms. This dual objective seeks to advance microorganism identification while creating an inclusive tool for community involvement, ultimately promoting collaborative research and a deeper understanding of water quality, health implications, and ecological dynamics in aquatic ecosystems.</p>
                        </br>
                        </div>
        
                       
                        </div>
                      </div>
                         <div>
                         <h5 style="color: #F9690E"><strong><center>Proposed Solution</center></strong></h5>
                         </br>
                         <p style="text-align: justify;font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">The research solution entails the development of an integrated platform known as the "Blue Watch" application. This application is designed to address multiple aspects of water quality assessment and management. Firstly, it provides an intuitive interface to easily identify water quality by utilizing advanced microscopic imaging technology. Users can efficiently detect and classify microorganisms and fungi types present in water samples, enhancing our understanding of waterborne life. Additionally, the application incorporates satellite imagery analysis to determine the pollution status of water bodies, thereby serving as a vital tool for monitoring environmental health. Furthermore, it offers a predictive model for the Water Quality Index (WQI) by leveraging physical parameters of water. This model not only assesses current water quality but also forecasts the WQI for the next 12 months, facilitating proactive water resource management and environmental sustainability. The "Blue Watch" application represents a comprehensive and user-friendly solution that integrates cutting-edge technology for holistic water quality assessment and long-term monitoring.	</P>
                        </div>
                  </div>
                  
                    <!-- Research Objectives -->
               <div id="research_objectives" class="sub-section">
                      <h2>Research Objectives</h2>
                       <div class="row">
                        <div id="project-scope-left" class= "justify-text">
                         <h5 style="color: #6b615a"><strong>Identifying microorganisms using water samples
                        </strong></h5>
                         </br>
                           
                            <p></p>
                            <p style="color: #877e78; text-align: justify; font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">In this component, the first step involves classifying microscopic images to identify microorganisms as either bacteria or protozoa. Once identified, the focus shifts to differentiating between bacteria and protozoa before proceeding with detailed classification. Subsequently, the research progresses to categorizing specific types of bacteria and protozoa, enabling differentiation and cataloging of diverse species and strains within these microorganism groups.
                            </p>
                        </br>
                        </div>
						<hr class="decorative-line">

						 <div id="project-scope-left" class= "justify-text">
                         <h5 style="color: #6b615a"><strong>Identifying fungus types using microscopic images.
                        </strong></h5>
                         </br>
                           
                            <p></p>
                            <p style="color: #877e78; text-align: justify; font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">This component involves building a binary classification model to identify whether a microscopic image depicts a fungus or not. If the image is identified as a fungus, further analysis is conducted to specify the exact type among Aspergillus spp., Candida spp., and Mycorrhizal Fungi. Following the identification of the exact fungus type, the system produces an output indicating the fungus type and assesses its impact on the environment, classifying it as harmful or useful.
                            </p>
                        </br>
                        </div>
						<hr class="decorative-line">

						 <div id="project-scope-left" class= "justify-text">
                         <h5 style="color: #6b615a"><strong>Identifying color of the water body using image processing techniques and detecting water quality based on satellite images</strong></h5>
                         </br>
                           
                            <p></p>
                            <p style="color: #877e78; text-align: justify; font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">The primary goal is to utilize satellite imagery in a web application to identify water body colors and assess reservoir water quality. This user-friendly platform aims to provide accessible water quality monitoring. Users can analyze satellite images to identify water bodies and evaluate their quality based on color.
                            </p>
                        </br>
                        </div>
						<hr class="decorative-line">

						 <div id="project-scope-left" class= "justify-text">
                         <h5 style="color: #6b615a"><strong>Using the WQI to evaluate groundwater quality. </strong></h5>
                         </br>
                           
                            <p></p>
                            <p style="color: #877e78; text-align: justify; font-family: 'Raleway', sans-serif; font-style: none; font-size: 14px">The research involves a detailed analysis of Water Quality Index (WQI) and its correlation with various physical parameters like turbidity, total dissolved solids, temperature, Secchi depth, and conductivity. The study explores the complex relationships and interactions among these variables, examining their impact on overall water quality assessment. Additionally, a comprehensive predictive model for WQI is developed, incorporating a wide range of influencing variables and advanced machine learning methods to enhance accuracy. Long-term analysis spanning several decades examines historical data, identifying nuances in water quality. The research investigates the effects of factors such as climate change, urbanization, land use, pollution sources, and regulatory actions on long-term water quality trends.</p>
                        </br>
                        </div>
        
                       
                        </div>
                      </div>
                    <!-- Methodology -->
                    <div id="methodology" class="sub-section">
                      <h2>Methodology</h2>
                      <div class="row">
                        <div id="project-scope-left" class="col-md-6 col-sm-12 pt-lg-5">
                          <div class="section-left">
						  <br>
                            <!-- <div class="section-figure"> -->
                              <br><br><br><br><br><br><br>
                              <img src="./images/all update.drawio.png" width="100%"/>
                              <p style="color: #000000">Figure: High Level Architecture of the system.</p>
                            <!-- </div> -->
                          </div>
                        </div>
                        <div id="project-scope-right" class="col-md-6 col-sm-12 pt-lg-5 justify-text">
                          <p>The proposed pest and disease Surveillance system consists of 4 main components. They are;</p>
                          <ol>
                            <li><strong>Identifying bacteria and protozoa using image processing</strong></li>
                            <li><strong>Identifying fungi using image processing</strong></li>
                            <li><strong>Deficiency Identification (Mg deficiency and Leaf Scorch Decline)</strong></li>
                            <li><strong>Water resource identification</strong></li>
                            
                          </ol>
                          <p> Secure X, a sophisticated set of network infrastructure management tools designed to handle the intricacies of modern network environments. system consists of 4 main components. 

                                        Network devices bulk configuration tool
                                        Network Self-Healing Tool
                                        DDoS Attack Detection and Mitigation
                                        Brute force attack detection using machine learning

                                        Develop python configuration templates for each DHCP,ACL,NAT,VPN,SNMP,HSRP,IP SLA,NTP,AAA configuration. templates should contain placeholders for variables such as IP addresses, interface names, subnet masks, authentication credentials. Develop a Python script that reads the input data and configuration templates, then generates device-specific configuration files based on the provided parameters. Deploy the generated configuration files to the respective devices using appropriate network protocols (SSH). Continuously monitor network performance and user feedback to identify areas for improvement in the bulk configuration process.

                                        Develop scripts to gather relevant network health metrics from network devices, such as CPU and memory usage, interface status, routing table information, and device logs. Implement algorithms to automatically detect common failure scenarios (e.g., interface flapping, high CPU utilization, BGP neighbor down). Implement automated remediation actions, such as configuration changes, service restarts, failover mechanisms, or dynamic routing adjustments, to mitigate the impact of failures.

                                        Capture the network traffic using python script & create a pcap file. obtain the proposed CSE-CIC-IDS 2018 dataset benchmark dataset.prepare the data & train & evaluate the model. Develop the user interface application to upload your network packet captured file and select whatever the algorithm among three algorithms (Decision Tree , Random Forest , Support vector machine ) you prefer to detect brute force attack on ssh & ftp protocol through a drop-down list.

                                        Comparative Analysis of Machine Learning Algorithms for DDoS Attack Detection using IDS 2018 Dataset and Development of a User-friendly Interface for Real-time Detection. The algorithms that were selected are based on earlier research. focused on detecting specific attack types, namely DoS attacks (GoldenEye, Slowloris, Hulk, SlowHTTPTest) and DDoS attacks (LOIC- HTTP). The performance of each algorithm was evaluated against these attack types to provide insights into their effectiveness in real-world scenarios.

                                        Multiple network devices can be configured simultaneously with the help of the Bulk Configuration Tool, which simplifies deployment procedures and lowers mistake rates. By using clever algorithms, the Network Self-Healing Tool proactively monitors and fixes network problems, reducing downtime and improving reliability. The DDoS Attack Detection Tool ensures service availability by quickly identifying and mitigating DDoS attacks through the use of sophisticated anomaly detection techniques. By capturing the network traffic & identifying and preventing brute-force login attempts on network devices, the Machine Learning Driven Brute Force Attack Detection System  improves security.
                                        </p>
                          <!-- <p>Once the system identifies that the leaves are infected, then the response will be captured by the crowdsourcing platform. The Google Map will be updated with the real time locations (latitude and longitude) of the infected palms. In Addition, the system will automatically send notifications to the farmers and other stakeholders who are at the risk of infection.</p> -->
                        </div>
                      </div>
                  </div>
                    </div><!--/.col-md-4-->
                </div>
            </div><!--/.row-->    
        </div><!--/.container-->
    </section><!--/#services-->
	
	   <section id="tech_used">
       <!-- Technologies Used -->
<div id="tech_used" class="sub-section">
    <h2>Technologies and Tools Used</h2>
    <div class="row technology mt-5">
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/python.png" alt="Python">
    </div>
    <p>Python</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/react.png" alt="React">
    </div>
    <p>React</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/tensorflow.png" alt="Python">
    </div>
    <p>Tensorflow</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/keras.png" alt="Keras">
    </div>
    <p>Keras</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/googlecolab.png" alt="MongoDB">
    </div>
    <p>Google Colab</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/googlecloud.png" alt="Google Cloud">
    </div>
    <p>Google Cloud</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/vscode.png" alt="Kafka">
    </div>
    <p>VS Code</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/flask.png" alt="Doker">
    </div>
    <p>Flask</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/git lab.png" alt="Google Colab">
    </div>
    <p>Git Lab</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/statmodels.png" alt="Google map API">
    </div>
    <p>Stat Models</p>
    </div>
    <div class="col-md-2 col-sm-4 col-6 mb-5">
    <div class="avatar">
    <img src="images/numpy.png" alt="Jwt">
    </div>
    <p>Numpy</p>
    </div>
    </div>
    </div>
    </section><!--/#our-team-->

    <!-- Milestones -->
    <section id="milestones" class="sub-section" >
        <div class="container">
            <div class="section-header">
                <h2 class="section-title wow fadeInDown">Milestones</h2>
                
            </div>
            <div class="sub-section">
                <h2>Timeline in Brief</h2>
                <div class="milestones">
                  <ul class="timeline">
                    <!-- Project Proposal -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">July 2023</p>
                        <h3>Project Proposal</h3>
                        <p>A Project Proposal is presented to potential sponsors or clients to receive funding or get your project approved.</p>
                        <p><strong>Marks Allocated : </strong>12</p>
                        <div class="progress">
                          <div class="progress-bar bg-success" role="progressbar" style="width: 12%" aria-valuenow="12" aria-valuemin="0" aria-valuemax="100">12%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Progress Presentation I -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">November 2023</p>
                        <h3>Progress Presentation I</h3>
                        <p>Progress Presentation I reviews the 50% completetion status of the project. This reveals any gaps or inconsistencies in the design/requirements.</p>
                        <p><strong>Marks Allocated : </strong>15</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 27%" aria-valuenow="13" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 27%" aria-valuenow="15" aria-valuemin="0" aria-valuemax="100">27%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Research Paper -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">July 2024</p>
                        <h3>Research Paper</h3>
                        <p>Describes what you contribute to existing knowledge, giving due recognition to all work that you referred in making new knowledge</p>
                        <p><strong>Marks Allocated : </strong>10</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 37%" aria-valuenow="27" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 37%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">37%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Progress Presentation II -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">July 2024</p>
                        <h3>Progress Presentation II</h3>
                        <p>Progress Presentation II reviews the 90% completetion status demonstration of the project. Along with a Poster presesntation which describes the project as a whole.</p>
                        <p><strong>Marks Allocated : </strong>18</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 55%" aria-valuenow="37" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 55%" aria-valuenow="18" aria-valuemin="0" aria-valuemax="100">55%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Website -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">June 2024</p>
                        <h3>Website Assessment</h3>
                        <p>The Website helps to promote our research project and reveals all details related to the project.</p>
                        <p><strong>Marks Allocated : </strong>2</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 57%" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 57%" aria-valuenow="2" aria-valuemin="0" aria-valuemax="100">57%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Logbook -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">July 2024</p>
                        <h3>Logbook and Progress Reports</h3>
                        <p>Status of the project is validated through the Logbook. This also includes, Status documents 1 & 2.</p>
                        <p><strong>Marks Allocated : </strong>4</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 61%" aria-valuenow="57" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 61%" aria-valuenow="4" aria-valuemin="0" aria-valuemax="100">61%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Final Report -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">May 2024</p>
                        <h3>Final Report</h3>
                        <p>Final Report evalutes the completed project done throughout the year. Marks mentioned below includes marks for Individual & group reports and also Final report.</p>
                        <p><strong>Marks Allocated : </strong>19</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 80%" aria-valuenow="61" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 80%" aria-valuenow="29" aria-valuemin="0" aria-valuemax="100">80%</div>
                        </div>
                      </div>
                    </li>
                    <!-- Viva -->
                    <li class="timeline-event">
                      <label class="timeline-event-icon"></label>
                      <div class="timeline-event-copy">
                        <p class="timeline-event-thumbnail">May 2024</p>
                        <h3>Final Presentation & Viva</h3>
                        <p>Viva is held individually to assess each members contribution to the project.</p>
                        <p><strong>Marks Allocated : </strong>20</p>
                        <div class="progress">
                          <!-- <div class="progress-bar bg-infinity-primary" role="progressbar" style="width: 100%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div> -->
                          <div class="progress-bar bg-success" role="progressbar" style="width: 100%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">100%</div>
                        </div>
                      </div>
                    </li>
                  </ul>
                </div>
            </div>
        </div>
      </section>
	  
	  
	  
	  <!-- Downloads -->
      <section id="downloads" class="main-sections" >
        <div class="container">
            <h5 class="section-headings">Downloads</h5>
            <!-- Documents -->
            <div class="sub-section">
                <h2>Documents</h2>
                <p>Please find all documents related to this project below.</p>


                                  <!-- Final Report -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Status Docs</h5>
                        <p class="card-text pt-sm-2">It20631338</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Status Doc 1 &nbsp;&nbsp;<a href="https://drive.google.com/file/d/1XbTD6TE5DDd8WJrfQCh6jfGfWo9e7OTB/view?usp=sharing" target="_blank">Download</a></li>
                        <li class="list-group-item">Status Doc 2&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1o9mKgdGM9MAEd_5_OfaSjT0FlT4eB6Nm/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>

                    </div>
                  </div>



                                  <!-- Final Report -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Status Docs</h5>
                        <p class="card-text pt-sm-2">It20301668</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Status Doc 1 &nbsp;&nbsp;<a href="https://docs.google.com/document/d/1PXUaXCQt4BIPbb9-GwCUvViuVu2a6B6P/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                        <li class="list-group-item">Status Doc 2&nbsp;&nbsp;<a href="https://docs.google.com/document/d/1PXUaXCQt4BIPbb9-GwCUvViuVu2a6B6P/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>


                                    <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Status Docs</h5>
                        <p class="card-text pt-sm-2">It20627928</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Status Doc 1 &nbsp;&nbsp;<a href="https://drive.google.com/file/d/1vdkE6-mqBFKfHCdTKy-k9wIkYsUtonhS/view?usp=sharing" target="_blank">Download</a></li>
                        <li class="list-group-item">Status Doc 2&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1jeHBMTYoUn6mXJutB77v3OnUr2gnSyvZ/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>



                                      <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Status Docs</h5>
                        <p class="card-text pt-sm-2">It20623036</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Status Doc 1 &nbsp;&nbsp;<a href="https://drive.google.com/file/d/1o9mKgdGM9MAEd_5_OfaSjT0FlT4eB6Nm/view?usp=sharing" target="_blank">Download</a></li>
                        <li class="list-group-item">Status Doc 2&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1o9mKgdGM9MAEd_5_OfaSjT0FlT4eB6Nm/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>




                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Research Paper</h5>
                        <p class="card-text pt-sm-2">Submitted on 2024/03/04</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1ki5wUR8soabJJIumBkenpeGSBkcc0VgM/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>

                    </div>
                  </div>

                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Final Report</h5>
                        <p class="card-text pt-sm-2">Submitted on 2024/04/05</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">It20627928 &nbsp;&nbsp;<a href="https://drive.google.com/file/d/1ZpmxfVvxZY0Sf5b-d1iwmX5pXWS40Dc-/view?usp=sharing" target="_blank">Download</a></li>
                        <li class="list-group-item">It20623036&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1ZpmxfVvxZY0Sf5b-d1iwmX5pXWS40Dc-/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>

                    </div>
                  </div>


                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-pdf mr-2 download-pdf"></i>Final Report</h5>
                        <p class="card-text pt-sm-2">Submitted on 2024/04/05</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">It20631338 &nbsp;&nbsp;<a href="https://drive.google.com/file/d/1ZpmxfVvxZY0Sf5b-d1iwmX5pXWS40Dc-/view?usp=sharing" target="_blank">Download</a></li>
                        <li class="list-group-item">It20301668&nbsp;&nbsp;<a href="https://drive.google.com/file/d/1ZpmxfVvxZY0Sf5b-d1iwmX5pXWS40Dc-/view?usp=sharing" target="_blank">Download</a></li>
                      </ul>

                    </div>
                  </div>


                  
                </div>
            </div>
            <!-- Presentations -->
            <div id="presentations" class="sub-section">
                <h2>Presentations</h2>
                <p>Please find all presentations related this project below.</p>
                <div class="row mt-sm-5 downloads-container">
                  <!-- Project Proposal -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-powerpoint mr-2 download-powerpoint"></i></i>Project Proposal</h5>
                        <p class="card-text pt-sm-2">Submitted on 2023/03/27</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Group &nbsp;<a href="https://docs.google.com/presentation/d/1lRogfCdGfI44H_P1JQuYkeKwQlgeD8hn/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>
                  <!-- Progress Presentation I -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-powerpoint mr-2 download-powerpoint"></i></i>Progress Presentation I</h5>
                        <p class="card-text pt-sm-2">Submitted on 2023/05/22</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Group &nbsp;<a href="https://docs.google.com/presentation/d/1lRogfCdGfI44H_P1JQuYkeKwQlgeD8hn/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>
                  <!-- Progress Presentation II -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-powerpoint mr-2 download-powerpoint"></i></i>Progress Presentation II</h5>
                        <p class="card-text pt-sm-2">Submitted on 2023/09/04</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Group &nbsp;<a href="https://docs.google.com/presentation/d/1lRogfCdGfI44H_P1JQuYkeKwQlgeD8hn/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>
                  <!-- Final Presentation -->
                  <div class="col-lg-3 col-md-4 col-sm-12">
                    <div class="card" >
                      <div class="card-body">
                        <h5 class="card-title"><i class="fas fa-file-powerpoint mr-2 download-powerpoint"></i></i>Final Presentation</h5>
                        <p class="card-text pt-sm-2">Submitted on 2023/10/31</p>
                      </div>
                      <ul class="download-items list-group list-group-flush">
                        <li class="list-group-item">Group &nbsp;<a href="https://docs.google.com/presentation/d/1lRogfCdGfI44H_P1JQuYkeKwQlgeD8hn/edit?usp=sharing&ouid=101317423239018164131&rtpof=true&sd=true" target="_blank">Download</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
            </div>
        </div>
      </section>

  


  

  <section id="portfolio">
        <div class="container">
            <div class="section-header">
                <h2 class="section-title wow fadeInDown">Gallery</h2>
                <p class="wow fadeInDown">Network Infrastructure Management Tool.</p>
            </div>

            <div class="text-center">
                <ul class="portfolio-filter" style="display:none">
                    <li><a class="active" href="#" data-filter="*">All Works</a></li>
                    <li><a href="#" data-filter=".designing">Designing</a></li>
                    <li><a href="#" data-filter=".mobile">Mobile App</a></li>
                    <li><a href="#" data-filter=".development">Development</a></li>
                </ul><!--/#portfolio-filter-->
            </div>

            <div class="portfolio-items">
                <div class="portfolio-item designing">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/05.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/01.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item mobile development">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/02.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/02.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item designing">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/07.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/03.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item mobile">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/08.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/04.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item designing development">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/03.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/05.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item mobile">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/04.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/06.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item designing development">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/06.jpg" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/07.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->

                <div class="portfolio-item mobile">
                    <div class="portfolio-item-inner">
                        <img class="img-responsive" src="images/portfolio/01.png" alt="">
                        <div class="portfolio-info"> 
                            <a class="preview" href="images/portfolio/08.jpg" rel="prettyPhoto"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>
                </div><!--/.portfolio-item-->
            </div>
        </div><!--/.container-->
    </section><!--/#portfolio-->


   	<section id="our-team">
        <div class="container">
            <div class="section-header">
                <h2 class="section-title wow fadeInDown">
OUR TEAM MEMBERS
</h2>

            </div>
			
			 	
            <div class="row text-center">
                <div class="col-md-3 col-sm-6 col-xs-12">
                    <div class="team-member wow fadeInUp" data-wow-duration="400ms" data-wow-delay="0ms">
                        <div class="team-img">
                            <img class="img-responsive" src="images/team/01.jpg" alt="">
                        </div>
                        <div class="team-info">
                            <h3>Dharmapriya N.M </h3>
							<span>IT20631338​</span> 
                            <span> (Leader)</span> 
                        </div> 
                       
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-12">
                    <div class="team-member wow fadeInUp" data-wow-duration="400ms" data-wow-delay="100ms">
                        <div class="team-img">
                            <img class="img-responsive" src="images/team/02.jpg" alt="">
                        </div>
                        <div class="team-info">
                            <h3>S N Denakumbura​</h3>
                            <span>IT20301668​</span> 
                        </div> 
                       
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-12">
                    <div class="team-member wow fadeInUp" data-wow-duration="400ms" data-wow-delay="200ms">
                        <div class="team-img">
                            <img class="img-responsive" src="images/team/03.jpg" alt="">
                        </div>
                        <div class="team-info">
                            <h3>H M T D Herath</h3>
                            <span>IT20627928​</span> 
                        </div> 
                       
                    </div>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-12">
                    <div class="team-member wow fadeInUp" data-wow-duration="400ms" data-wow-delay="300ms">
                        <div class="team-img">
                            <img class="img-responsive" src="images/team/04.jpg" alt="">
                        </div>
                        <div class="team-info">
                            <h3>Jayashan H.S.P.C</h3>
                            <span>IT20623036</span> 
                        </div> 
                        
                    </div>
                </div>
            </div>

        </div>
    </section><!--/#our-team-->
   

   <!-- Achievements -->
	   <section id="achievements" class="main-sections" >
        <div class="container">
        <div class="section-header">
                <h2 class="section-title wow fadeInDown">
Achievements
</h2>

            </div>
                  <div class="section-center">
                    <div class="section-figure text-center">
                      <img style="width: 70%; height: 200px" src="./images/icac.png">
                    </div>
                  </div>
				  <div>
				 </br>
				 <p style="text-align: justify;"> We are excited to announce that we have submitted our research paper for consideration at the prestigious 'WorldS4 UK 2024' (World Conference on Smart Trends in Systems, Security and Sustainability). Our paper explores cutting-edge developments and insights in the field of computing and aligns with the conference's mission to advance the frontiers of knowledge. We eagerly anticipate the opportunity to present our research at WorldS4 UK 2024, where we can engage with leading experts and contribute to the vibrant exchange of ideas in the world of computing.</P>
                </div>
        </div>
      </section>
   

  
   
    <section id="contact-us">
        <div class="container">
            <div class="section-header">
                <h2 class="section-title wow fadeInDown">Contact Us</h2>
                <p class="wow fadeInDown">Get In Touch With Us <br> We Are Here to Provide The Best Service For You</p>
            </div>
        </div>
    </section><!--/#contact-us-->


    <section id="contact">
        
        <div class="container">
            <div class="container contact-info">
                <div class="row">
				  <div class="col-sm-4 col-md-4">
                        <div class="contact-form">
                            <h3>Contact Info</h3>


                                
                              
                            </address>
					</div></div>
                    <div class="col-sm-8 col-md-8">
                        <div class="contact-form">
                       
                            <form id="main-contact-form" name="contact-form" method="post" action="#">
                                <div class="form-group">
                                    <input type="text" name="name" class="form-control" placeholder="Name" required>
                                </div>
                                <div class="form-group">
                                    <input type="email" name="email" class="form-control" placeholder="Email" required>
                                </div>
                                <div class="form-group">
                                    <input type="text" name="subject" class="form-control" placeholder="Subject" required>
                                </div>
                                <div class="form-group">
                                    <textarea name="message" class="form-control" rows="8" placeholder="Message" required></textarea>
                                </div>
                                <button type="submit" class="btn btn-primary">Send Message</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>   
   </section><!--/#bottom-->

    <footer id="footer">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    &copy; 2023 SECUREX 
                </div>
                <div class="col-sm-6">
                    <ul class="social-icons">
                        <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                        <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                        <li><a href="#"><i class="fa fa-google-plus"></i></a></li>
                        <li><a href="#"><i class="fa fa-linkedin"></i></a></li> 
                        <li><a href="#"><i class="fa fa-youtube"></i></a></li>
                        <li><a href="#"><i class="fa fa-github"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </footer><!--/#footer-->

    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script> 
    <script src="js/mousescroll.js"></script>
    <script src="js/smoothscroll.js"></script>
    <script src="js/jquery.prettyPhoto.js"></script>
    <script src="js/jquery.isotope.min.js"></script>
    <script src="js/jquery.inview.min.js"></script>
    <script src="js/wow.min.js"></script>
    <script src="js/custom-scripts.js"></script>
</body>
</html>